aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-11-11 20:04:31 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-11-11 20:04:31 +0000
commitec5f1653dba7893930de5825c3581338505b746a (patch)
treed1973cd0c255184fc81dec2412efec1434279bda
parenta524ed0b66a91881b3b54645836ec98532e584a8 (diff)
downloadaports-ec5f1653dba7893930de5825c3581338505b746a.tar.gz
aports-ec5f1653dba7893930de5825c3581338505b746a.tar.bz2
aports-ec5f1653dba7893930de5825c3581338505b746a.tar.xz
x11/abiword: new aport
A fully-featured word processor http://www.abisource.com
-rw-r--r--x11/abiword/APKBUILD24
1 files changed, 24 insertions, 0 deletions
diff --git a/x11/abiword/APKBUILD b/x11/abiword/APKBUILD
new file mode 100644
index 0000000000..198620e233
--- /dev/null
+++ b/x11/abiword/APKBUILD
@@ -0,0 +1,24 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=abiword
+pkgver=2.8.1
+pkgrel=0
+pkgdesc="A fully-featured word processor"
+url="http://www.abisource.com"
+license="GPL"
+makedepends="pkgconfig libglade-dev libgsf-dev enchant-dev fribidi-dev wv-dev
+ popt-dev jpeg-dev librsvg-dev bzip2-dev"
+subpackages="$pkgname-dev"
+source="http://www.abisource.com/downloads/$pkgname/$pkgver/source/$pkgname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make DESTDIR="$pkgdir" install
+}
+md5sums="284fe25289c160c3797b527a8aacad12 abiword-2.8.1.tar.gz"